:root {

    /* Colores */

    --color-bg: #05090A;
    --color-surface: #101415;

    --color-text: #dbd8ce;
    --color-text-secondary: #dbd8ce;

    --color-accent: #f5322c;

    /* Tipografías */

    --font-heading: "unbounded", sans-serif;
    --font-body: "General Sans", sans-serif;

}



a {
    text-decoration: none;
    color: #dbd8ce;
}


body {

    width: 98%;

    font-family: var(--font-body);

    font-weight: 400;

    color: var(--color-text);

    background-color: var(--color-bg);

    background-image: url("../assets/images/fondo.svg");

    background-repeat: repeat;

    background-size: 350px;

    overflow-x: hidden;

        
}



h1,
h2,
h3,
h4,
h5,
h6 {

    font-family: var(--font-heading);

    font-weight: 700;

    line-height: 1.1;

}




p {

    font-size: 1rem;

    font-family: var(--font-body);

    font-weight: 400;

    line-height: 1.7;

}





/* ======================
   HEADER
====================== */
.header {

    position: fixed;

    top: 0;

    left: 0;

    width: 100%;

    z-index: 1000;

    padding: 1.5rem 2rem;

    background-color: transparent;

    transition: background-color 0.3s ease;
}


/* Fondo cuando el menú está abierto */

.header.menu-open {

    background:#05090a !important;

    backdrop-filter:none;
}

.header.scrolled.menu-open{

    background:#05090a !important;

    backdrop-filter:none;

}



/* ======================
   NAVBAR
====================== */

.navbar {

    display: flex;

    justify-content: space-between;

    align-items: center;

}


/* ======================
   LOGO
====================== */

.nav-logo img {

    width: 150px;

    height: auto;

    display: block;

}

.logo-desktop {

    
}

.logo-mobile {

    margin-top: -35px;

    opacity: 0;
}


/* ======================
   MENU BUTTON
====================== */

.menu-toggle {

    background: none;

    border: none;

    cursor: pointer;

    display: flex;

    align-items: center;

    justify-content: center;

    padding: 0.5rem;

}


.menu-icon {
    
    margin-left: 15px;

    width: 30px;

    height: 30px;

    display: block;

    transition: transform 0.3s ease;

    transform-origin: center;
}


/* Estado abierto */

.menu-icon.active {

    transform: rotate(90deg) scale(1.05);

}


/* Cuando el menú esté abierto */

.menu-icon.active {

    transform: rotate(90deg) scale(1.05);

}


/* ======================
   HABLEMOS BUTTON
====================== */

.nav-contact-btn {

    margin-right: 5%;

    font-family: var(--font-heading);

    font-weight: 500;

    font-size: 0.85rem;

    letter-spacing: 0.15em;

    text-transform: uppercase;

    color: #dbd8ce;

    text-decoration: none;

    padding: 0.85rem 1.5rem;

    border: 1px solid var(--color-text);

    border-radius: 999px;

    transition:
        background-color 0.3s ease,
        color 0.3s ease;
    
}


.nav-contact-btn:hover {

    background-color: #dbd8ce;

    color: var(--color-bg);

}


/* ======================
   DROPDOWN MENU
====================== */

.dropdown-menu {

    position: absolute;

    top: 100%;

    left: 0;

    width: 100%;

    height: 1400px;

    background-color: #05090A;

    opacity: 0;

    visibility: hidden;

    pointer-events: none;

    transform: translateY(-10px);

    transition:
        opacity 0.3s ease,
        transform 0.3s ease,
        visibility 0.3s ease;

}


.dropdown-menu.active {

    opacity: 1;

    visibility: visible;

    pointer-events: auto;

    transform: translateY(-10px);

}


.dropdown-menu ul {

    list-style: none;

    display: flex;

    flex-direction: column;

    gap: 2.5rem;

    align-items: center;

    margin: 0;

    padding: 8rem;


}


.dropdown-menu a {

    text-decoration: none;

    color:  #dbd8ce;

    font-family: var(--font-heading);

    font-size: 6rem;

    font-weight: 600;

    transition: opacity 0.3s ease;

    margin-right: 50px;

}


.dropdown-menu a:hover {

    transition: 0.6s ease;

    color: #f5322c;

}


/* ========================================
   NAV SCROLL
======================================== */

.header {

    position: fixed;

    top: 0;
    left: 0;

    width: 100%;

    z-index: 1000;

    transition:
        background-color 0.3s ease,
        backdrop-filter 0.3s ease;
}


/* Estado al hacer scroll */

.header.scrolled {

    background: linear-gradient(
        to bottom,
        rgba(0,0,0,0.95),
        rgba(0,0,0,0.0)
    );

    

}


/* ========================================
   RESPONSIVE NAV 
======================================== */


/* Desktop */
@media (max-width: 1200px) {



    .logo-desktop {               

        opacity: 0;
    
}

    .logo-mobile {

        opacity: 1;

    }

    .menu-icon {           

        width: 25px;

        height: 25px;

    }


    .nav-contact-btn {        

        font-size: 0.75rem;

        padding: 0.75rem 1.2rem;
    }


   



}

/* Tablet */
@media (max-width: 1024px) {


    .dropdown-menu a {

        font-size: 4rem;


    }



}

/* Mobile */
@media (max-width: 768px) {


    .nav-logo {

        display: none;
    }

    .nav-contact-btn {   

        margin-right: 50px;            

        display: block;

        font-size: 0.75rem;

        padding: 0.75rem 1.2rem;
    }


    .dropdown-menu a {

        font-size: 2rem;
    }


    p {

        font-size: 0.8rem;



    }


    .nav-logo {

        display: none;
    }



        .nav-contact-btn {   

            margin-right: 50px;            

            display: block;

            font-size: 0.75rem;

            padding: 0.75rem 1.2rem;
    }







    


}


/* Mobile pequeño*/
@media (max-width: 390px) {

    p {

        font-size: 0.8rem;



    }


    .nav-logo {

        display: none;
    }



        .nav-contact-btn {   

            margin-right: 50px;            

            display: block;

            font-size: 0.75rem;

            padding: 0.75rem 1.2rem;
    }





}














/* ================================================================================ */


/* ========================================
   ABOUT ME
======================================== */



/* ========================================
   CONTAINER
======================================== */

.container {

    width: min(1400px, calc(100% - 4rem));

    margin: 0 auto;

}


/* ========================================
   MAIN
======================================== */

main {

    padding-top: 5rem;

}


/* ========================================
   HERO
======================================== */

.hero {

    padding-top: 2rem;

    padding-bottom: 5rem;

}


.hero-container {

    width: min(1400px, calc(100% - 4rem));

    margin: 0 auto;

}


/* ==========================
   TÍTULO
========================== */

.hero-title {

    letter-spacing: -0.05em;

    text-align: center;

    margin-bottom: 8rem;

    text-align: center;

}


/* ==========================
   INFO
========================== */

.hero-info {

    display: flex;

    justify-content: space-between;

    align-items: center;

    margin-bottom: 8rem;

}


.hero-item {

    display: flex;

    flex-direction: column;

    align-items: center;

    text-align: center;

}


/* Aquí pondrás tus SVG */

.hero-icon {

    width: 32px;

    height: 32px;

    margin-bottom: 0.75rem;

}


.hero-label {

    font-family: var(--font-heading);

    font-size: 0.7rem;

    letter-spacing: 0.08em;

    text-transform: uppercase;

}


.hero-subtitle {

    font-size: 0.7rem;

    color: var(--color-text-secondary);

}


/* ==========================
   IMAGEN
========================== */

.hero-image img {

    width: 100%;

    max-height: 650px;

    height: auto;

    object-fit: cover;

    border-radius: 10px;

    display: block;

}

/* ========================================
   RESPONSIVE HERO
======================================== */


/* Desktop */
@media (max-width: 1200px) {

    .hero-icon {

        width: 28px;

        height: 28px;

    }

    .hero-label {

        font-size: 0.5rem;
    }

    .hero-subtitle {

        font-size: 0.5rem;
    }



}

/* Tablet */
@media (max-width: 1024px) {

    .hero-title {

        margin-bottom: 3rem;
    }


    .hero-image img {

        border-radius: 10px;
}

}

/* Mobile */
@media (max-width: 768px) {    


    .hero-icon img {

        width: 22px;

        height: 22px;

    }

    .hero-label {

        font-size: 0.3rem;
    }

    .hero-subtitle {

        font-size: 0.3rem;
    }

}


/* Mobile pequeño*/
@media (max-width: 390px) {    

    .hero-title {

        margin-bottom: 3rem;
    }

    .hero-info {

        margin-bottom: 3rem;



    }

    .hero-image {

    width: 100%;

    max-height: 100px;

}


.hero-image img {

    border-radius: 10px;
}





}









/* ================================================================================ */

/* ========================================
   ABOUT SECTION
======================================== */

.about {

    padding: 5rem 0;

}


.about-container {

    width: min(1400px, calc(100% - 4rem));

    margin: 0 auto;

}


/* ========================================
   HEADER
======================================== */

.about-header {

    display: flex;

    justify-content: space-between;

    align-items: center;

    margin-bottom: 6rem;

}


.about-tag,
.about-role {

    font-family: var(--font-heading);

    font-size: 0.95rem;

    font-weight: 300;

    text-transform: uppercase;

    color: rgba(113, 113, 113, 0.8);

}


/* ========================================
   CONTENT
======================================== */

.about-content {

    max-width: 900px;

    margin: 0 auto;

    text-align: center;

    margin-bottom: 6rem;

}


.about-title {

    font-family: var(--font-heading);

    font-size: clamp(3rem, 6vw, 8rem);

    font-weight: 600;

    line-height: 1;

    text-transform: uppercase;

    margin-bottom: 2rem;

}


.about-description {

    max-width: 700px;

    margin: 0 auto;

    line-height: 1.8;

    color: rgba(255,255,255,.75);

}


/* ========================================
   CARDS
======================================== */

.about-cards {

    display: grid;

    grid-template-columns: repeat(3, 1fr);

    gap: 1.5rem;

    margin-bottom: 8rem;

}


.about-card {

    border: 1px solid rgba(255,255,255,.12);

    border-radius: 10px;

    padding: 3rem 2rem;

    text-align: center;

    transition:transform .6s ease;

}


.about-card:hover {

    transition:transform .6s ease;

    transform:translateY(-10px);

    border-color: rgba(255,255,255,.25);

}


.card-icons {

    display: flex;

    justify-content: center;

    gap: .75rem;

    margin-bottom: 2rem;

}


.icon-placeholder {

    width: 52px;

    height: 52px;

    border-radius: 10px;

}

.icon-placeholder img {

    width: 100%;

    height: 100%;

    object-fit: cover;

    border-radius: 10px;

    transition: all .3s ease;
}

.icon-placeholder img:hover {

    transform: scale(1.08);

    transform:translateY(-5px);

    transition: all .3s ease;




}


.about-card h3 {

    font-family: var(--font-heading);

    font-size: 1.5rem;

    line-height: 1.1;

    text-transform: uppercase;

    margin-bottom: 1.5rem;

}


.about-card p {

    line-height: 1.5;

    color: rgba(255,255,255,.75);

}


/* ========================================
   LOGOS SLIDER
======================================== */

.logos-slider {

    position: relative;

    overflow: hidden;

}


.logos-track {

    display: flex;

    gap: 2rem;

    width: max-content;

    animation: logoScroll 30s linear infinite;

}


.logos-track img {

    width: 240px;

    height: 140px;

    object-fit: cover;

    border-radius: 10px;

    flex-shrink: 0;

}


.logos-track:hover {

    animation-play-state: paused;

}


/* ========================================
   FADE LATERALES
======================================== */

.logos-slider::before,
.logos-slider::after {

    content: "";

    position: absolute;

    top: 0;

    width: 120px;

    height: 100%;

    z-index: 2;

}


.logos-slider::before {

    left: 0;

    background: linear-gradient(
        to right,
        #05090a,
        transparent
    );

}


.logos-slider::after {

    right: 0;

    background: linear-gradient(
        to left,
        #05090a,
        transparent
    );

}


/* ========================================
   ANIMATION
======================================== */

@keyframes logoScroll {

    from {

        transform: translateX(0);

    }

    to {

        transform: translateX(calc(-50% - 1rem));

    }

}


/* ========================================
   RESPONSIVE ABOUT 
======================================== */

    /* Desktop */
@media (max-width: 1200px) {



}

/* Tablet */
@media (max-width: 1024px) {

    .about-cards {

        grid-template-columns: repeat(3, 1fr);

        gap: 1rem;

    }

    .icon-placeholder {

        width: 40px;

        height: 40px;

    }


    .about-card h3 {

        font-size: 1.2rem;



    }

   

}

/* Mobile */
@media (max-width: 768px) {

    .about {

        padding: 6rem 0;

    }

    .about-header {

        flex-direction: column;

        gap: 1rem;

        align-items: flex-start;

    }


    .about-cards {

        grid-template-columns: repeat(1, 1fr);

    }

    .about-title {

        font-size: 3rem;

    }

    .about-card h3 {

        font-size: 1.6rem;

    }

    .logos-track img {

        width: 180px;

        height: 100px;

    }



    .about .about-container .about-me-header span,
    .projects .projects-container .about-me-header span,
     .about-me .about-me-container .about-me-header span,
     .services  .about-me-header span{

        font-size: 0.8rem;
    }  

    

}



/* Mobile pequeño*/

@media (max-width: 390px) {


    .about .about-container .about-me-header span,
    .projects .projects-container .about-me-header span,
     .about-me .about-me-container .about-me-header span,
     .services  .about-me-header span{

        font-size: 0.7rem;
    }  


    .about .about-container .about-title {

        font-size: 2rem;


    }


  
}




/* ================================================================================ */





/* ========================================
   PROJECTS
======================================== */

.projects {

    margin-top: 6rem;

    padding-bottom: 5rem;

}

.projects-container {

    width: min(1400px,calc(100% - 2rem));

    margin: auto;

}

/* HEADER */

.projects-header {

    display: flex;

    justify-content: space-between;

    margin-bottom: 1rem;

}

.projects-tag,
.projects-year {

    font-family: var(--font-heading);

    font-size: 1rem;

    font-weight: 300;

    text-transform: uppercase;

    color: rgba(113, 113, 113, 0.8);

}

/* INTRO */

.projects-intro {

    display: flex;

    justify-content: space-between;

    align-items: flex-start;

    margin-bottom: 6rem;


}

.projects-intro h2{

    font-family: var(--font-heading);

    font-size: clamp(3rem,6vw,8rem);

    line-height: .9;


}

.projects-intro p {

    max-width: 420px;

    margin-top: 5rem;

    line-height: 1.8;

}

/* FILAS */

.project-row {

    display: flex;

    gap: 2rem;

    margin-bottom: 2rem;

}

.row-left {

    justify-content:space-between;

}

.row-center{

    justify-content:center;

}

.row-right{

    justify-content:space-between;

}

/* ENLACES */

.project-link {

    display:block;

    color:inherit;

    text-decoration:none;

}

/* TARJETAS */

.project-card {

    transition:transform .35s ease;

}

.project-link:hover .project-card {

    transform:translateY(-10px);

}

.project-card img {

    width:100%;

    display:block;

    border-radius: 10px;

}

/* TAMAÑOS */

.project-link.large {

    flex: 1.6;

}

.project-link.medium {

    flex: 1;

}

.project-link.small {

    flex: .85;

}

/* INFORMACIÓN */

.project-info {

    margin-top: 0;

    padding-bottom: 2.5rem;

}

.project-info h3 {

    display: flex;

    align-items: center;

    gap: .7rem;

    font-family: var(--font-heading);

    font-size: 1.15rem;

}

.project-info span{

    display:block;

    margin-top: .4rem;

    font-size: .85rem;

    opacity: .5;

}

/* SVG */

.project-info svg{

    transition:.35s ease;

}

.project-link:hover svg{

    transform:translate(5px,-5px);

}


.btn-proyectos {

  display: flex;

  justify-content: center;

}


/* ========================================
   RESPONSIVE PROYECTOS
======================================== */


/* Desktop */
@media (max-width: 1200px) {

}

/* Tablet */
@media (max-width: 1024px) {

}

/* Mobile */
@media (max-width: 768px) {


    .projects-intro {    
        
        display: block;
     
    }

    .projects-intro p {

        max-width: 90%;


        margin-top: 2rem;


    }


    .projects-header {

        display: block;

        justify-content: center;
    }


    .projects-intro h2 {

        font-size: 1.8rem;
    }



    .project-row {

        display: block;

        gap: .5rem;

        margin-bottom: 2rem;

}





    .row-left {

        justify-content:center;

    }

    .row-center{

        justify-content:center;

    }

    .row-right{

        justify-content:center;

    }


    .project-card img {

        border-radius: 10px;
    }

}


/* Mobile pequeño*/
@media (max-width: 390px) {

    
    .projects-header {

        display: block;

        justify-content: center;
    }


    .projects-intro h2 {

        font-size: 1.8rem;
    }



    .project-row {

        display: block;

        gap: .5rem;

        margin-bottom: 2rem;

}





    .row-left {

        justify-content:center;

    }

    .row-center{

        justify-content:center;

    }

    .row-right{

        justify-content:center;

    }


    .project-card img {

        border-radius: 10px;
    }





}






/* ================================================================================ */




/* ========================================
   ABOUT ME
======================================== */

.about-me {

    padding: 6rem 0;

}


.about-me-container {

    width: min(1400px, calc(100% - 4rem));

    margin: 0 auto;

}


/* ========================================
   HEADER
======================================== */

.about-me-header {

    display: flex;

    justify-content: space-between;

    align-items: center;

    margin-bottom: 4rem;

}


.about-me-header span {

    font-family: var(--font-heading);

    font-size: 0.95rem;

    font-weight: 300;

    text-transform: uppercase;

    color: rgba(113, 113, 113, 0.8);

}


/* ========================================
   TITLE
======================================== */

.about-me-title {

    font-family: var(--font-heading);

    font-size: clamp(2rem, 4vw, 4rem);

    line-height: 1.2;

    text-align: center;

    text-transform: uppercase;

    margin-bottom: 4rem;

}


/* ========================================
   IMAGE
======================================== */

.about-me-image {

    display: flex;

    justify-content: center;

    margin-bottom: 4rem;

}


.about-me-image img {

    width: 100%;

    max-width: 520px;

    aspect-ratio: 4 / 5;

    object-fit: cover;

    border-radius: 10px;

}


/* ========================================
   CONTENT
======================================== */

.about-me-content {

    text-align: center;

    max-width: 800px;

    margin: 0 auto;

}


.about-me-content h3 {

    font-family: var(--font-heading);

    font-size: clamp(2rem, 2vw, 2rem);

    line-height: 1.1;

    text-transform: uppercase;

    margin-bottom: 2rem;

}


.about-me-content p {

    max-width: 800px;

    margin: 0 auto 3rem;

    line-height: 1.8;

    color: rgba(255,255,255,.75);

}


/* ========================================
   BUTTON
======================================== */

.cv-button {

    display: inline-flex;

    align-items: center;

    justify-content: center;

    padding: 1rem 2rem;

    border: 1px solid rgba(255,255,255,.3);

    border-radius: 999px;

    color: #fff;

    text-decoration: none;

    font-family: var(--font-heading);

    font-size: .9rem;

    text-transform: uppercase;

    transition: .3s ease;

}


.cv-button:hover {

    background: #ffffff;

    color: #05090a;

    border-color: #ffffff;

}


/* ========================================
   CAREER
======================================== */

.career {

    padding: 6rem 0;

    margin-bottom: 2rem;

}

.career-container {

    width: min(1400px, calc(100% - 4rem));

    margin: 0 auto;

    display: grid;

    grid-template-columns: 0.5fr 1fr;

    gap: 2rem;

    align-items: start;

}

/* TITULO */

.career-title {

    font-family: var(--font-heading);

    font-size: clamp(3rem, 3rem, 3rem);

    line-height: .9;

    text-transform: uppercase;

    

}

/* TARJETAS */

.career-cards {

    display: flex;

    flex-direction: column;

    gap: 1rem;

}



/* CARD */

.career-card {

    border: 1px solid rgba(255,255,255,.12);

    border-radius: 10px;

    padding: 2rem;

    transition: .3s ease;

}

.career-card:hover {

    border-color: rgba(255,255,255,.25);

}

.career-date {

    display: block;

    font-size: .8rem;

    opacity: .6;

    margin-bottom: .75rem;

}

.career-card h3 {

    font-family: var(--font-heading);

    font-size: 1.5rem;

    margin-bottom: .75rem;

}

.career-card p {

    line-height: 1.7;

    color: rgba(255,255,255,.75);

    max-width: 80%;

}


/* ========================================
   RESPONSIVE ABOUT
======================================== */


/* Desktop */
@media (max-width: 1200px) {

}

/* Tablet */
@media (max-width: 1024px) {

    .career-title {
        font-size: 2rem;
    }

}

/* Mobile */
@media (max-width: 768px) {


    .career {

        padding-top: 3rem;
    }


    .career-container {

        grid-template-columns: 1fr;

    }

    .final-cta .final-cta-container h2 {

        font-size: 2.5rem;
    }

    .cv-button,  .final-cta-container a, .btn-proyectos a {

        font-size: .8rem;
    }

    .about-me-content h3 {

        font-size: 1.3rem;
    }

    .career-title {

        font-size: 1.5rem;
    }

}


/* Mobile pequeño*/
@media (max-width: 390px) {


    about-me-container {

        margin-bottom: -1rem;

        padding-bottom: -1rem;
    }




    .cv-button,  .final-cta-container a, .btn-proyectos a {

        font-size: .8rem;
    }

    .about-me-content h3 {

        font-size: 1.3rem;
    }

    .career-title {

        font-size: 1.5rem;
    }

    









}
 




/* ======================================================= */




/* ========================================
   SERVICES
======================================== */

.services {

    width: min(1400px, calc(100% - 4rem));

    margin-top: 4rem;

    margin: 4rem auto;

    padding-top: 8rem;

}



/* ========================================
   TITLE
======================================== */

.services-header {

    margin-bottom: 5rem;

}

.services-header h2 {

    font-family: var(--font-heading);

    font-size: 4rem;

    line-height: 1;

    text-transform: uppercase;

}

/* ========================================
   GRID
======================================== */

.services-grid {

    display: grid;

    grid-template-columns: repeat(12, 1fr);

    gap: 1.5rem;

}

/* ========================================
   CARD BASE
======================================== */

.service-card {

    position: relative;

    text-decoration: none;

    color: inherit;

    border-radius: 10px;

    padding: 2rem;

    min-height: 300px;

    display: flex;

    flex-direction: column;

    justify-content: flex-end;

    overflow: hidden;

    transition:
        transform .35s ease,
        border-color .35s ease,
        box-shadow .35s ease;

}

.service-card:hover {

    transform: translateY(-8px);

}

/* ========================================
   ARROW
======================================== */

.contenedor-flecha {

    position: absolute;

    top: 2rem;

    right: 2rem;

}

.contenedor-flecha img {

    width: 30px;

    height: 30px;

    display: block;

    transition: transform .35s ease;

}

.service-card:hover .contenedor-flecha img {

    transform: translate(4px, -4px);

}

.service-card:hover {

    transform: translateY(-8px);

    box-shadow: 0 20px 40px rgba(0,0,0,.15);

}



/* ========================================
   LIGHT CARDS
======================================== */

.service-card.light {

    background: #d8d5cf;

    color: #000;

}

.service-card.light:hover {

    border-color: #f5322c;
}


/* ========================================
   DARK CARDS
======================================== */

.service-card.dark {

    background: transparent;

    border: 1px solid rgba(255,255,255,.15);

    color: #d8d5cf;

}

.service-card.dark:hover {

    border-color: rgba(255,255,255,.4);

}

/* ========================================
   TITLES
======================================== */

.service-card h3 {

    font-family: var(--font-heading);

    font-size: 1.5rem;

    line-height: 1.3;

    margin-bottom: 1rem;

    display: flex;

    justify-content: space-between;

    align-items: center;

    gap: 1rem;

}

/* ========================================
   ARROW
======================================== */
    
    .contenedor-flecha {

        width: 100%;

        height: auto;
        
    }


    .contenedor-flecha img {

        float: right;

        width: 30px;

        height: auto;
    }
 

/* ========================================
   TEXT
======================================== */

.service-card p {

    font-family: var(--font-body);

    font-size: 1rem;

    line-height: 1.7;

    max-width: 90%;

}

/* ========================================
   LAYOUT
======================================== */

.large {

    grid-column: span 5;

}

.services-grid .service-card:nth-child(2) {

    grid-column: span 3;

}

.services-grid .service-card:nth-child(3) {

    grid-column: span 4;

}

.wide {

    min-height: 280px;

}

.services-grid .service-card:nth-child(4) {

    grid-column: 3 / span 5;

}

.services-grid .service-card:nth-child(5) {

    grid-column: span 5;

}

/* ========================================
   RESPONSIVE  SERVICES
======================================== */

/* Desktop */
@media (max-width: 1200px) {



}



@media (max-width: 1024px) {

    .services-grid {

        grid-template-columns: 1fr 1fr;

    }

    .service-card,
    .large,
    .wide {

        grid-column: auto !important;

        min-height: 250px;

    }

    .services-top {

        flex-direction: column;

        align-items: flex-start;

        gap: 1rem;

    }
    

}

/* Mobile */
@media (max-width: 768px) {

    .services-grid {

        grid-template-columns: 1fr;

    }

    .services .services-header h2 {    

        font-size: 1.8rem;

    }

}


/* Mobile pequeño*/
@media (max-width: 390px) {  


    .services .services-header h2 {    

        font-size: 1.8rem;

    }

}


/* ================================================= */



/* ========================================
   Archivo Visual
======================================== */

.archivo {

    padding-bottom: 4rem;

    padding-bottom: 1rem;

}

.archivo-container {

    width: min(950px, calc(100% - 2rem));

    margin: 0 auto;

    display: flex;

    flex-direction: column;

    align-items: center;

    justify-content: center;

    text-align: center;

}

/* TITULO */

.archivo h2 {

    font-family: var(--font-heading);

    font-size: clamp(3rem, 6vw, 6rem);

    line-height: 1;

    text-transform: uppercase;

    margin-bottom: 2rem;

    text-align: center;

}

/* TEXTO */

.archivo p {

    max-width: 610px;

    margin: 0 auto 1rem;

    line-height: 1.8;

    color: rgba(255,255,255,.75);

    text-align: center;

}



.archivo-button:hover {

    background: #fff;

    color: #000;

}

/* SELLO */

.archivo-badge {

    display: flex;

    justify-content: center;

    align-items: center;

}

.archivo-badge img {

    width: 80px;

    height: auto;

}






* ========================================
   GALLERY
======================================== */

.gallery {

    width: min(1400px, calc(100% - 2rem));    

    margin: 4rem auto; 

    display: grid;

    grid-template-columns: 1fr;

    gap: 2rem;

}

.gallery-item {

    overflow: hidden;

    border-radius: 10px;

}

.gallery-item img {

    width: 100%;

    display: block;

    object-fit: cover;

    max-height: auto;

}


/* ========================================
   GALLERY VARIANTE 3 COLUMNAS
======================================== */

.archivo-gallery.archivo-gallery-2{

    width: min(1400px, calc(100% - 2rem));    

    margin: 4rem auto;   

    display: grid;

    grid-template-columns: repeat(3, 1fr);

    gap: 2rem;

    align-items: start;

}

.archivo-gallery.archivo-gallery-2 .archivo-item{

    overflow: hidden;

    border-radius: 10px;

}

.archivo-gallery.archivo-gallery-2 .archivo-item img{

    width: 100%;

    height: auto;

    display: block;

    transform: scale(1.08);

    transition: transform 1.2s cubic-bezier(.22,.61,.36,1);

    will-change: transform;

}


.archivo-gallery.archivo-gallery-2 .archivo-item video {

    border-radius: 10px;

    transition: transform 1.2s cubic-bezier(.22,.61,.36,1);


}

.archivo-gallery.archivo-gallery-2 .archivo-item:hover img {

    transform: scale(1.13);

}

.archivo-gallery.archivo-gallery-2 .archivo-item video:hover {

        

}








/* ========================================
   RESPONSIVE ARCHIVO VISUAL
======================================== */



/* Desktop */
@media (max-width: 1200px) {

}

/* Tablet */
@media (max-width: 1024px) {

}

/* Mobile */
@media (max-width: 768px) {

    .archivo-gallery.archivo-gallery-2{

    grid-template-columns: repeat(2, 1fr);   
    
    gap: 0.5rem;

    }
    

}


/* Mobile pequeño*/
@media (max-width: 390px) {

    .archivo h2 {

        font-size: 2.2rem;
    }

    .archivo-gallery.archivo-gallery-2{

    grid-template-columns: repeat(2, 1fr);          

    }



}





/* ==================================================== */






















/* ========================================
   FINAL CTA
======================================== */

.final-cta {

    padding: 4rem 0;

}

.final-cta-container {

    width: min(950px, calc(100% - 2rem));

    margin: 0 auto;

    display: flex;

    flex-direction: column;

    align-items: center;

    justify-content: center;

    text-align: center;

}

/* TITULO */

.final-cta h2 {

    font-family: var(--font-heading);

    font-size: clamp(3rem, 6vw, 6rem);

    line-height: 1;

    text-transform: uppercase;

    margin-bottom: 2rem;

    text-align: center;

}

/* TEXTO */

.final-cta p {

    max-width: 600px;

    margin: 0 auto 3rem;

    line-height: 1.8;

    color: rgba(255,255,255,.75);

    text-align: center;

}

/* BOTON */

.cta-button {

    display: inline-flex;

    align-items: center;

    justify-content: center;

    text-decoration: none;

    padding: 1rem 2.5rem;

    border: 1px solid rgba(255,255,255,.2);

    border-radius: 999px;

    color: #fff;

    font-family: var(--font-heading);

    text-transform: uppercase;

    transition: .3s ease;

    margin-bottom: 4rem;

    font-size: 1rem;

}

.cta-button:hover {

    background: #fff;

    color: #000;

}

/* SELLO */

.cta-badge {

    display: flex;

    justify-content: center;

    align-items: center;

}

.cta-badge img {

    width: 80px;

    height: auto;

}


/* ========================================
   RESPONSIVE FINAL CTA
======================================== */



/* Desktop */
@media (max-width: 1200px) {

}

/* Tablet */
@media (max-width: 1024px) {

}

/* Mobile */
@media (max-width: 768px) {

    .final-cta .final-cta-container h2 {       

        font-size: 2.1rem;
    }

}


/* Mobile pequeño*/
@media (max-width: 390px) {

    .final-cta .final-cta-container h2 {

        font-size: 2.1rem;
    }



}





/* ==================================================== */









/* ========================================
   PROYECTOS INDIVIDUALES
======================================== */

.project-hero {

    width: min(1400px, calc(100% - 2rem));

    margin: 6rem auto 7rem;

    text-align: center;

}

.project-service {

    display: block;

    margin-bottom: 1rem;

    font-size: .9rem;

    text-transform: uppercase;

    opacity: .6;

    letter-spacing: .15em;

}

.project-hero h1 {

    font-family: var(--font-heading);

    font-size: clamp(4rem, 10vw, 9rem);

    line-height: 1;

    text-transform: uppercase;

    margin-bottom: 2rem;

}

.project-hero p {

    max-width: 760px;

    margin: auto;

    font-size: 1.3rem;

    line-height: 1.7;

    color: rgba(255,255,255,.7);

}

/* ========================================
   COVER
======================================== */

.project-cover {

    width: min(1400px, calc(100% - 2rem));

    margin: 0 auto 3rem;

    overflow: hidden;

    border-radius: 10px;

}

.project-cover img {

    width: 100%;

    max-height: auto;

    display: block;

    object-fit: cover;

    border-radius: 10px;

}

/* ========================================
   INFO
======================================== */

.project-info {

    width: min(1400px, calc(100% - 2rem));

    margin: auto;

}

.project-data {

    display: grid;

    grid-template-columns: repeat(4, 1fr);

    gap: 3rem;

    padding-bottom: 4rem;

    border-bottom: 1px solid rgba(255,255,255,.08);

}

.project-data span {

    font-size: .8rem;

    text-transform: uppercase;

    opacity: .5;

}

.project-data h3 {

    margin-top: .8rem;

    font-size: 1.5rem;

    font-family: var(--font-heading);

}

.project-text {

    display: grid;

    grid-template-columns: 250px 1fr;

    gap: 5rem;

    padding: 3rem 0;

    border-bottom: 1px solid rgba(255,255,255,.08);

}

.project-text h4 {

    font-family: var(--font-heading);

    font-size: 1.2rem;

    text-transform: uppercase;

}

.project-text p {

    max-width: 750px;

    line-height: 1.9;

    color: rgba(255,255,255,.7);

}

/* ========================================
   GALLERY
======================================== */

.gallery {

    width: min(1400px, calc(100% - 2rem));

    margin: 8rem auto;

    display: grid;

    grid-template-columns: 1fr;

    gap: 2rem;

}

.gallery-item {

    overflow: hidden;

    border-radius: 10px;

}

.gallery-item img {

    width: 100%;

    display: block;

    object-fit: cover;

    max-height: auto;

}

.gallery-item video {

    width: 100%;

    max-height: 600px;

    display: block;

    object-fit: cover;

    max-height: auto;

}


/* ========================================
   GALLERY VARIANTE 2 COLUMNAS
======================================== */

.gallery.gallery-2{

    width: min(1400px, calc(100% - 4rem));

    margin: 8rem auto;

    display: grid;

    grid-template-columns: repeat(2, 1fr);

    gap: 2rem;

    align-items: start;

}

.gallery.gallery-2 .gallery-item{

    overflow: hidden;

    border-radius: 10px;

}

.gallery.gallery-2 .gallery-item img{

    width: 100%;

    height: auto;

    display: block;

    transform: scale(1.08);

    transition: transform 1.2s cubic-bezier(.22,.61,.36,1);

    will-change: transform;

}


.gallery.gallery-2 .gallery-item video {

    border-radius: 10px;

    transition: transform 1.2s cubic-bezier(.22,.61,.36,1);


}

.gallery.gallery-2 .gallery-item:hover img {

    transform: scale(1.13);

}

.gallery.gallery-2 .gallery-item video:hover {

        

}









/* ========================================
   ZOOM
======================================== */

.zoom-scroll {

    overflow: hidden;

}

.zoom-scroll img {

    transform: scale(1.25);

    transition: transform 1.6s cubic-bezier(.22,.61,.36,1);

    will-change: transform;

}

/* ========================================
   RESPONSIVE PROYECTOS INDIVIDUAL
======================================== */

@media (max-width: 1024px) {

    .project-data {

        grid-template-columns: repeat(2, 1fr);

    }

    .project-text {

        grid-template-columns: 1fr;

        gap: 1.5rem;

    }

}

@media (max-width: 768px) {

    .project-hero {

        margin: 8rem auto 5rem;

    }

    .project-data {

        grid-template-columns: 1fr;

        gap: 2rem;

    }

    .project-hero p {

        font-size: 1.1rem;

    }

    .project-hero {

        margin-top: 3rem;
    }


    .project-hero h1 {

         font-size: 2rem;
    }

    .project-hero p {

        font-size: 0.9rem;
    }

    .project-data h3 {

        font-size: 1.4rem;
    }


    .gallery.gallery-2{

        width: calc(100% - 2rem);

        margin: 5rem auto;

        grid-template-columns: 1fr;

        gap: 1.5rem;

    }

    .gallery.gallery-2 .gallery-item{

        border-radius: 18px;

    }

    .gallery.gallery-2 .gallery-item img{

        transform: scale(1.04);

    }

    .gallery.gallery-2 .gallery-item:hover img{

        transform: scale(1.08);

    }

}


/* Mobile pequeño*/
@media (max-width: 390px) {


    .project-hero {

        margin-top: 3rem;
    }


    .project-hero h1 {

         font-size: 2rem;
    }

    .project-hero p {

        font-size: 0.9rem;
    }

    .project-data h3 {

        font-size: 1.4rem;
    }


    .gallery.gallery-2{

        width: calc(100% - 2rem);

        margin: 5rem auto;

        grid-template-columns: 1fr;

        gap: 1.5rem;

    }

    .gallery.gallery-2 .gallery-item{

        border-radius: 18px;

    }

    .gallery.gallery-2 .gallery-item img{

        transform: scale(1.04);

    }

    .gallery.gallery-2 .gallery-item:hover img{

        transform: scale(1.08);

    }





}







/* ============================================================= */


/* ========================================
   FOOTER
======================================== */

.footer {

    align-items: center;

    margin: 5rem 0.5rem;

    overflow: hidden;    

    justify-content: center;

    align-items: center;

}

.footer-title {

    display: flex;

    justify-content: center;

}

.footer-title img {

    display: block;

    width: 100%;

    height: auto;

}


/* ========================================
   SOCIALS
======================================== */

.footer-socials {

    display: flex;

    justify-content: center;

    align-items: center;

    gap: 5rem;

    margin-bottom: 4rem;

}

.footer-socials a {

    display: flex;

    align-items: center;

    gap: .5rem;

    text-decoration: none;

    color: #d8d5cf;

    font-family: var(--font-heading);

    font-size: 1.1rem;

    transition: .3s ease;

}

.footer-socials a:hover {

    opacity: .7;

}

.footer-socials img {

    width: 18px;

    height: 18px;

    transition: .3s ease;

}

.footer-socials a:hover img {

    transform: translate(3px, -3px);

}


/* ========================================
   BOTTOM
======================================== */

.footer-bottom {

    margin-top: 1rem;

}

.footer-bottom span {

    color: rgba(255,255,255,.7);

    font-size: 1.5rem;

}



/* ========================================
   RESPONSIVE ---
======================================== */


/* Desktop */
@media (max-width: 1200px) {    

}

/* Tablet */
@media (max-width: 1024px) {

}

/* Mobile */
@media (max-width: 768px) {

    .footer-socials {        

        display: block;

        gap: 3rem;

    }

    .footer-socials a {

        justify-content: center;

        text-align: center;

        margin: 1.5rem auto;
    }

}



/* Mobile pequeño*/
@media (max-width: 390px) {


    .footer-socials {        

        display: block;

        gap: 3rem;

    }

    .footer-socials a {

        justify-content: center;

        text-align: center;

        margin: 1.5rem auto;
    }



}










/* ============================================================= */
















